ParallelismConfiguration (Gradle API 9.4.0)
Description: declaration: package: org.gradle.concurrent, interface: ParallelismConfiguration

Package org.gradle.concurrent

# Interface ParallelismConfiguration

All Known Implementing Classes:
  `StartParameter`

public interface ParallelismConfiguration
A `ParallelismConfiguration` defines the parallel settings for a Gradle build.

Since:
  4.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxWorkerCount()`
  Returns the maximum number of concurrent workers used for underlying build operations.
  `boolean`
  `isParallelProjectExecutionEnabled()`
  Returns true if parallel project execution is enabled.
  `void`
  `setMaxWorkerCount(int maxWorkerCount)`
  Specifies the maximum number of concurrent workers used for underlying build operations.
  `void`
  `setParallelProjectExecutionEnabled(boolean parallelProjectExecution)`
  Enables/disables parallel project execution.

- ## Method Details

  - ### isParallelProjectExecutionEnabled

    boolean isParallelProjectExecutionEnabled()
    Returns true if parallel project execution is enabled.
    See Also:
      - `getMaxWorkerCount()`

  - ### setParallelProjectExecutionEnabled

    void setParallelProjectExecutionEnabled(boolean parallelProjectExecution)
    Enables/disables parallel project execution.
    See Also:
      - `isParallelProjectExecutionEnabled()`

  - ### getMaxWorkerCount

    int getMaxWorkerCount()
    Returns the maximum number of concurrent workers used for underlying build operations. Workers can be threads, processes or whatever Gradle considers a "worker". Some examples:
    - A thread running a task
    - A test process
    - A language compiler in a forked process
    Defaults to the number of processors available to the Java virtual machine.
    Returns:
      maximum number of concurrent workers, always >= 1.
    See Also:
      - `Runtime.availableProcessors()`

  - ### setMaxWorkerCount

    void setMaxWorkerCount(int maxWorkerCount)
    Specifies the maximum number of concurrent workers used for underlying build operations.
    Throws:
      `IllegalArgumentException` - if `maxWorkerCount` is < 1
    See Also:
      - `getMaxWorkerCount()`